Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 04/07/2020 in all areas

  1. Not sure how you want to use it, but try this. It includes constant attributes that have no prompt string. (defun c:getblkpmpts ( / ent bname elst typ lst msg) (while (not ent) (setq bname (getstring "\nEnter Block Name ")) (if (tblsearch "block" bname) (setq ent (tblobjname "block" bname))) ) (setq elst (entget ent) typ (cdr (assoc 0 elst)) msg "") (while ent (if (= typ "ATTDEF") (setq lst (cons (list (cdr (assoc 2 elst)) (cdr (assoc 3 elst))) lst))) (setq ent (entnext ent)) (if ent (setq elst (entget ent) typ (cdr (assoc 0 elst)))) ) (foreach x (reverse lst) (setq msg (strcat msg "TAG : " (car x) "\U+0009 Prompt : " (cadr x) "\n"))) (alert msg) (princ) )
    1 point
  2. Okay, so that is AutoCAD Mechanical as well. https://knowledge.autodesk.com/support/autocad/learn-explore/caas/sfdcarticles/sfdcarticles/How-to-remove-the-GENAXEH-block-from-an-AutoCAD-Mechanical-drawing.html
    1 point
  3. I think he needs to post a sample dwg. I'm confident i'm in the same ballpark, but I don't understand the prompts as opposed to the tagstring. If it is the prompt you're going to have to access either the attribute definitions entity data (code 3) or attribute definitions object 'promptstring property Select the Block and loop through the entities to find the nested block or nentsel the nested block. Find its name or effectivename the get that block definitions from the block table/collection get the attributes and loop through extracting what you want.
    1 point
  4. I think what he's asking is something like (getstring T "\nSpecify tag name: ") and then list all the blocks with that specific tag name. Unfortunately of all the posts I've done here and with my knowledge, I don't have a idea how to do that
    1 point
  5. My understanding from re-reading several times is the tags and prompts? from a block nested inside a dynamic block.
    1 point
  6. 1 point
  7. Is this about dynamic block property values, attribute values, or attribute tags and prompts?
    1 point
  8. Your table consists of azimuths and distances. An azimuth is the clockwise angle from North, so the angle itself is in the range 0 to 360, and always tells you the absolute direction of a line. It is also known as a whole circle bearing. N, S, E and W have no use at all. If you had a digital table of readings, then Lisp could give a fast solution, but as you are going to have to type in the data, you might as well do it by hand, using existing commands. You have misread the angle data - it reads degrees and minutes (the minutes have a decimal). So, to get you started, set up your angle system, to give you clockwise angles and a base angle at North. System variables ANGDIR to be 1 and ANGBASE to be 90. Then you get started. Then start the line command. The first point is wherever you pick on the screen, and then type @50.30<323d36.9' ENTER, and you are off!!
    1 point
  9. Try this rework. Tested on your provided drawing. (defun c:hat (/ ss cnt obj ar tot) (setq tot 0 ss (ssget '((0 . "HATCH")))) (cond (ss (repeat (setq cnt (sslength ss)) (setq obj (vlax-ename->vla-object (setq ent (ssname ss (setq cnt (1- cnt)))))) (if (vl-catch-all-error-p (setq ar (vl-catch-all-apply 'vlax-get (list obj 'area)))) (progn (vl-cmdf "hatchgenerateboundary" ent "") (setq ar (getpropertyvalue (entlast) "area"))(entdel (entlast))) ) (setq tot (+ tot ar)) ) (alert (strcat "Total Area : "(rtos tot 2 3))) ) ) (princ) ) The hatch in question had three duplicate points at the start of the reinstated boundary polyline.
    1 point
  10. FYI: BricsCAD does not have an issue determining the area of the hatch indicated by Bigal.
    1 point
  11. This is the area causing the problem no idea how to fix. You need to look at the original boundary.
    1 point
  12. Please report these turkeys. It is hard enough for us occasional 1099ers competing with 5 dollar an hour drafting houses outsourced from the Ukraine. We don't need these people too.
    1 point
  13. Stamp or not it is still a violation AFAIK. This may help https://www.vondranlegal.com/autocad-revit-student-software-audit-commercial-purposes
    1 point
  14. Its much easier to insert get properties then erase it as I said earlier it will be Blink speed. Or you may see nothing insert at 0,0.
    1 point
  15. 1st step would be to use lee-mac dynamic block properties lsp, to a block that is inserted, second would be if I understand correct you have not inserted the block, if correct insert it get properties and then erase.
    1 point
×
×
  • Create New...